System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

You can combine the members of this enumeration to watch for more than one kind of change. For example, you can watch for changes in the size of a file or folder, and for changes in security settings. This raises an event anytime there is a change in size or security settings of a file or folder.

Specifies changes to watch for in a file or folder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The attributes of the file or folder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The time the file or folder was created.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The name of the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The name of the file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The date the file or folder was last opened.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The date the file or folder last had anything written to it.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The security settings of the file or folder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.NotifyFilters To be added

  The size of the file or folder.